HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   General (http://www.howtoforge.com/forums/forumdisplay.php?f=15)
-   -   Upgraded to Ubuntu 12.04, ISPConfig 2 stopped working (http://www.howtoforge.com/forums/showthread.php?t=57409)

qqwong 25th May 2012 04:42

Upgraded to Ubuntu 12.04, ISPConfig 2 stopped working
 
I've a server running Ubuntu 11.04 and ISPConfig 2. I upgraded the OS to Ubuntu 12.04 and the ISPConfig 2 stopped working. I then found out that ISPConfig 2 does not work with Ubuntu 12.04. What can I do to fix the server now? Can I install ISPConfig 3 on the same server and move the web site and user a/c + emails to ISPConfig 3? Please help!

falko 25th May 2012 08:09

You cannot upgrade from ISPConfig 2 to 3 because 3 is a total rewrite and not compatible with 2.

So I guess there's nothing you can do to fix this...

qqwong 25th May 2012 10:43

Thanks Falko.

I understand the ISPConfig 3 is a different system and cannot be upgraded from ISPConfig 2. My question is can I install ISPConfig 3 in the broken server and copy the web sites and emails to the proper locations for ISPConfig 3 to work?
I do not have another server to install ISPConfig 3 afresh.

Wai

falko 29th May 2012 12:08

This will probably not work because ISPConfig 3 needs a different base setup than ISPConfig 2, therefore you need to install it on a fresh system.

newfield_no1 25th August 2012 00:24

Ubuntu 12.04
 
" I then found out that ISPConfig 2 does not work with Ubuntu 12.04"
Is that correct?
I have tryed that and it seams to work but not on a live server.
I have moved from Ubuntu 8.04 to Ubuntu 12.04.
Same version of ispconfig 2.2.37.

newfield_no1 25th August 2012 00:34

Sorry
 
It was not 12.04, it was 10.04 :-(

falko 25th August 2012 18:23

Ubuntu 10.04 works fine with ISPConfig, but I trongly recommend to use ISPConfig 3 because 2 is EOL.

hahni 18th September 2012 17:04

And how can I reinstall ISPConfig 2 on a 12.04 LTS-System? I have same problem like entry poster!

falko 19th September 2012 14:45

No, ISPConfig 2 will not install on Ubuntu 12.04.

hahni 19th September 2012 14:57

I know that, because the install stopped. Which workaround is possible to get install working on 12.04 LTS? For this server I need a workaround. Then I can transfer step by step to a new environment.


All times are GMT +2. The time now is 11:24.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.